import { App } from "@vue/runtime-core";
import { BaseStore } from "./Store";
declare type StoreType = {
    [K in keyof typeof BaseStore]: typeof BaseStore[K];
} & {
    vueBinding: string;
} & BaseStore<any, any>;
export declare class StoreManagerInstance {
    private didInstantiateStores;
    stores: {
        [key: string]: StoreType;
    };
    private storeModules;
    private storeMeta;
    private extensions;
    extend(extensionFunc: () => {
        [key: string]: any;
    }): void;
    registerStore(store: StoreType): void;
    install(app: App, options: {
        [key: string]: any;
    }): void;
    manager(key: string): {
        store: {
            getAllState(): any;
            getAllGetters(): [string, PropertyDescriptor][];
            getAllActions: () => (string | {
                value: any;
                name: string;
                params: {
                    name: string;
                    defaultValue: string;
                    type: string;
                }[];
            })[][];
            getName(): string;
            getVueBinding(): string;
            setState(path: any, value: any): void;
        };
        instance: StoreType;
    };
}
declare const _default: StoreManagerInstance;
export default _default;
